- Qt 6.8
- Qt Core
- C++ Classes
- QList
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QList

The following members of class QList are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` QList<T> | toList() const
`(deprecated)` QList<T> | toVector() const

## Static Public Members

`(deprecated)` QList<T> | fromList(const QList<T> &list)
`(deprecated)` QList<T> | fromVector(const QList<T> &list)

## Member Function Documentation

### `[noexcept, deprecated]` QList<T> QList::toList() const

### `[noexcept, deprecated]` QList<T> QList::toVector() const

This function is deprecated. We strongly advise against using it in new code.

A no-op in Qt 6. Provided for backwards compatibility with Qt 5, where QList and QVector where two different types.

Returns this list.

### `[static noexcept, deprecated]` QList<T> QList::fromList(const QList<T> &list)

### `[static noexcept, deprecated]` QList<T> QList::fromVector(const QList<T> &list)

This function is deprecated. We strongly advise against using it in new code.

A no-op in Qt 6. Provided for backwards compatibility with Qt 5, where QList and QVector were two different types.

Returns this list.